﻿

.contact-header {
    text-align: center;
    margin: 35px 0;
}

    .contact-header h1 {
        font-size: 18px;
        font-weight: 700;
        color: var(--color-primary-dark);
        margin-bottom: 6px;
        font-family: 'YEKANFBld';
    }

    .contact-header p {
        font-size: 13px;
        color: #777;
        font-family: 'YEKANFLgt';
    }

.contact-section {
    background: #fff;
    border-radius: 18px;
    padding: 32px;
    display: grid;
    grid-template-columns: 1.2fr .8fr;
    gap: 32px;
    box-shadow: 0 12px 40px rgba(0,0,0,0.06);
    border: 1px solid #eee;
}

.contact-info {
    display: flex;
    flex-direction: column;
    gap: 18px;
}

.contact-row {
    display: flex;
    gap: 14px;
    padding: 14px;
    border-radius: 12px;
    transition: .25s;
}

    .contact-row:hover {
        background: #f8f9fc;
    }

.contact-icon {
    width: 40px;
    height: 40px;
    border-radius: 10px;
    background: rgba(0,0,0,0.04);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
   display:none;
}

    .contact-icon i {
        font-size: 18px;
        color: var(--color-accent-warm);
    }

.contact-text h4 {
    font-size: 14px;
    font-weight: 600;
    margin-bottom: 4px;
    font-family: 'YEKANFBld';
}

.contact-text p {
    font-size: 13px;
    line-height: 1.9;
    color: #444;
    margin: 0;
    text-align: justify;
    text-align-last: right;
}

/*.contact-map-box {
    border-radius: 14px;
    overflow: hidden;
    border: 1px solid #eee;
    background: #fff;
    box-shadow: 0 10px 30px rgba(0,0,0,0.05);
}*/
.contact-map-box {
    border-radius: 14px;
    overflow: hidden;
    border: 1px solid #eee;
    background: #fff;
    box-shadow: 0 10px 30px rgba(0,0,0,0.05);

    height: 100%;
    min-height: 300px; 
    display: flex;
}

    .contact-map-box img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        display: block;
    }

@media(max-width:992px) {
    .contact-map-box {
        order: -1;
        height: 250px; 
        margin-bottom: 20px;
    }
}

.contact-map {
    width: 100%;
    height: 100%;
    min-height: 260px;
    border: 0;
}

@media(max-width:992px) {

    .contact-section {
        grid-template-columns: 1fr;
        padding: 24px;
    }

    .contact-map-box {
        order: -1;
    }

    .contact-map {
        min-height: 220px;
    }
}


.message-btn {
    display: inline-block;
    border: 1.25px solid #0743b5;
    color: white;
    background: #0743b5;
    font-size: 13px;
    padding: 8px 42px;
    transition: all 0.9s ease;
    border-radius: 50px;
    text-decoration: none;
    white-space: nowrap;
}
